> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post organization users



## OpenAPI

````yaml /swagger.json post /organization/{organizationId}/users
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /organization/{organizationId}/users:
    post:
      tags:
        - organization
        - user
      parameters:
        - schema:
            type: string
          required: true
          name: organizationId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                properties:
                  departmentId:
                    type: string
                  id:
                    type: string
                  email:
                    type: string
                  name:
                    type: string
                  phone:
                    type: string
                required:
                  - email
      responses:
        '201':
          description: Create users successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    email:
                      type: string
                    name:
                      type: string
                    phone:
                      type: string
                  required:
                    - id
                    - email
                    - name
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request POST \
              --url https://app.teable.ai/api/organization/%7BorganizationId%7D/users \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: application/json' \
              --data '[{"departmentId":"string","id":"string","email":"string","name":"string","phone":"string"}]'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/organization/%7BorganizationId%7D/users';

            const options = {
              method: 'POST',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              },
              body: '[{"departmentId":"string","id":"string","email":"string","name":"string","phone":"string"}]'
            };


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'POST',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/organization/%7BorganizationId%7D/users',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.write(JSON.stringify([
              {
                departmentId: 'string',
                id: 'string',
                email: 'string',
                name: 'string',
                phone: 'string'
              }
            ]));
            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            payload =
            "[{\"departmentId\":\"string\",\"id\":\"string\",\"email\":\"string\",\"name\":\"string\",\"phone\":\"string\"}]"


            headers = {
                'Authorization': "Bearer REPLACE_BEARER_TOKEN",
                'content-type': "application/json"
            }


            conn.request("POST", "/api/organization/%7BorganizationId%7D/users",
            payload, headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````